<div class="row" n:tag-if="$drawBox">
    <div class="col-12 mb-4" n:tag-if="$drawBox">
        <div class="card shadow" n:tag-if="$drawBox">
            <div class="card-body" n:tag-if="$drawBox">

                {snippet snipForm}
                    {form form class => 'ajax', data-socket-content => $form['content']->getHtmlId()}
                        <div n:foreach="$form->errors as $error" class="alert alert-danger">{$error}</div>

                        <div class="row">
                            <div class="col-12 form-group">
                                {label content /}
                                <div class="form-group mb-0">
                                    {input content class => 'form-control',  data-tinymce => 'default'}
                                </div>
                            </div>

                            <div class="col-12 form-group">
                                {input send class => 'btn btn-outline-primary w-100 mb-2'}
                            </div>
                        </div>
                    {/form}
                {/snippet}

            </div>
        </div>
    </div>
</div>

<script n:syntax="double" n:snippet="snipSocket">
</script>

<script n:syntax="double">
    var socketId = {{$socketId}};
    var socketToken = {{$socketToken}};

    // socket
    let socket = new WebSocket('wss://connect.websocket.in/v2/' + socketId + '?token=' + socketToken);

    socket.onmessage = function (event) {
        $.nette.ajax({
            url: {{link invalidateRedraw!}}
        });
    };

    $(function () {
        var message = '';
        $.nette.ext({
            before: function (jqXHR, settings) {
                if (settings.nette && settings.nette.form) {
                    var $form = $(settings.nette.form[0]);
                    if ($form.data('socket-content')) {
                        message = $form.find('#' + $form.data('socket-content')).val();
                    }
                }
            },
            success: function (payload, status, jqXHR, settings) {
                if (message !== '') {
                    socket.send(message);
                    message = '';
                }
            }
        });
    });

    /*
    socket.onopen = function (e) {
        console.log('[open] Connection established');
    };

    socket.onclose = function (event) {
        if (event.wasClean) {
            console.log("[close] Connection closed cleanly, code=" + event.code + " reason=" + event.reason);
        } else {
            // e.g. server process killed or network down
            // event.code is usually 1006 in this case
            console.log('[close] Connection died');
        }
    };

    socket.onerror = function (error) {
        console.log("[error] " + error.message);
    };
    */
</script>